/* The standard CSS for doxygen */


body, table, div, p, dl {
	font: 0.9rem Arial, Helvetica, sans-serif;
}

body {
	background-color: white;
	color: black;
    margin: 0;
}

p.reference, p.definition {
	font-size: 0.9rem
	font-family: Arial, Helvetica, sans-serif;
}


/* Override settings for title area and navigation panel */
#top {
	height: 75px;
	background-color: #389cd7;
}

#side-nav {
	top: 75px;
	width: 400px;
	background-color: #f2f3f3;
}

#nav-tree {
  background-image: none;
  background-color: #f2f3f3;
}

#nav-tree .label {
  font: 0.9rem Arial, Helvetica, sans-serif;
}


#nav-tree .label a {
  color: #434040;
  font: Arial, Helvetica, sans-serif;
  width: 290px;
  display: inline-block;
}

#nav-tree .selected {
  background-image: none;
  background-color: #e9e9e9;
  color: #191970;
  text-shadow: none;
}

#nav-tree .hover {
  background-image: none;
  background-color: #e9e9e9;
}

#nav-tree .selected a {
  color: #191970;
  font-weight: bold;
}

#nav-tree a:hover {
  color: #191970;
  /*padding-top: 10px;*/
  padding-bottom: 5px;
  margin: 0;
}

#nav-sync img:hover {
  opacity: none;
}

#nav-tree .item {
  padding-top: 10px;
  padding-bottom: 4px;
  margin: 0;
  border-bottom: solid 1px #d8d8d9;
  /*overflow: hidden;*/
}

#nav-tree .item:hover {
	background-color: #e9e9e9;
}

.arrow {
	color: #23a0e9;
	font-size: 90%;
	margin-left: 5px;
}

#nav-tree-contents {
	padding-left: 10px;
	padding-right: 5px;
	padding-top: 10px;
}

/* Right border of navigation panel for resizing  */
.ui-resizable-e {
	width: 1px;
}

#nav-sync {
	display: none;
}

#nav-tree-contents li:nth-child(2) {
	/*display: none;*/
	color: red;
}



/* Search bar in titlearea*/

#MSearchBox {
	width: 385px;
	height: 25px;
	margin-right: 20px;
	border-right: none;
	border-bottom: none;
	border-top-left-radius: 2pt;
	border-top-right-radius: 2pt;
	border-bottom-right-radius: 2pt;
	border-bottom-left-radius: 2pt;
	color: #808080;
	top: 23px;
	background-color: #fff;
}

#MSearchBox .left {
	background: #ffffff;

}

#MSearchBox .right {
	/*background: transparent url('search.svg') no-repeat center center;
	margin-top: 3px;*/
	display: none;
}

#MSearchSelect {
	top: 3px;

}

#MSearchField {
	/*	: 1em;*/
	padding-left: 10px;
	margin-top: 2px;
	background: none;
	width: 300px;
	font-size: 0.8rem;
}

#MSearchSelectWindow .SelectItem {
	font-size: 0.8rem;
	line-height: 20px;
}


/* Content area */

#doc-content {
	margin-left: 360px;
	padding-right: 20px;
}

.contents p:nth-child(1) br {
	display: none;
}

.contents .textblock p:nth-child(1) br {
	display: none;
}

div.textblock ol li {
	line-height: 25px;
}

/* @group Heading Levels */

/* Title of page in header > headertitle */
.title {
	font: bold 1.6rem Arial, Helvetica, sans-serif;
	color: #062d64;
	margin: 16px 2px 2px 0px;
}


h1 {
	font-size: 1.6rem;
	border-bottom: solid 1px #ccc;
	margin-bottom: 20px;
	margin-top: 2rem;
	padding-bottom: 2px;
}

h2 {
	font-size: 1.35rem;
	padding-bottom: 2px;
	border-bottom: solid 1px #ccc;
	margin-bottom: 12px;
	margin-top: 20px;
	margin-right: 0px;
}

h3 {
	font-size: 1.2rem;
	padding-bottom: 2px;
	border-bottom: solid 1px #ccc;
}

h5 {
	font-size: 0.9rem;
	margin-bottom: 0px;
}

h1, h2, h3, h4, h5, h6 {
/*	-webkit-transition: text-shadow 0.5s linear;
	-moz-transition: text-shadow 0.5s linear;
	-ms-transition: text-shadow 0.5s linear;
	-o-transition: text-shadow 0.5s linear;
	transition: text-shadow 0.5s linear;*/
	color: #062d64;
}

/* H2 headings in header doc, e.g., "Functions" */
h2.groupheader{
	color: #062d64;
	font-weight: bold;
	font-size: 1.35rem;
}

/*h1.glow, h2.glow, h3.glow, h4.glow, h5.glow, h6.glow {
	text-shadow: 0 0 15px cyan;
}*/

h4 {
	font-size: 1rem;
	margin-bottom: 0px;
	margin-top: 20px;
}

.textblock h3 {
	margin-bottom: 0px;
	margin-top: 20px;
}

dt {
	font-weight: bold;
}

div.multicol {
	-moz-column-gap: 1em;
	-webkit-column-gap: 1em;
	-moz-column-count: 3;
	-webkit-column-count: 3;
}

p.startli, p.startdd, p.starttd {
	margin-top: 2px;
}

p.endli {
	margin-bottom: 0px;
}

p.enddd {
	margin-bottom: 4px;
}

p.endtd {
	margin-bottom: 2px;
}

/* @end */

.caption {
	font-weight: bold;
	margin-top: 1em;
}

span.legend {
        font-size: 70%;
        text-align: center;
}

h3.version {
        font-size: 90%;
        text-align: center;
}

div.qindex, div.navtab{
	background-color: #EBEFF6;
	border: 1px solid #A3B4D7;
	text-align: center;
}

div.qindex, div.navpath {
	width: 100%;
	line-height: 140%;
}

div.navtab {
	margin-right: 15px;
}

/* @group Link Styling */

a {
	color: #23a0e9;
	font-weight: normal;
	text-decoration: none;
}

.contents a:visited {
	color: #23a0e9;;
}

a:hover {
	text-decoration: underline;
	color: #23a0e9;
}

a.qindex {
	font-weight: bold;
}

a.qindexHL {
	font-weight: bold;
	background-color: #9CAFD4;
	color: #ffffff;
	border: 1px double #869DCA;
}

.contents a.qindexHL:visited {
        color: #ffffff;
}

a.el {
	font-weight: bold;
	color: #23a0e9;
}

a.elRef {
}

a.code, a.code:visited {
	color: #23a0e9;
}

a.codeRef, a.codeRef:visited {
	color: #23a0e9;
}

a:link
{
	text-decoration: none;
	color: #23a0e9;
}


/* @end */

dl.el {
	margin-left: -1cm;
}


pre.fragment {
        border: 1px solid #ccc;
        background-color: #f6f6f6;
        padding: 4px 6px;
        margin: 4px 0px 4px 2px;
        overflow: auto;
        word-wrap: break-word;
        font-size:  10pt;
        line-height: 125%;
        font-family: monospace, fixed;
        font-size: 105%;
		display: none;
}

/* Style for code blocks */
div.fragment {
    padding: 4px;
    margin: 4px 10px 4px 10px;
	background-color: #f5f5f5;
	border: 1px solid #ccc;
}

/* Style for lines in code blocks */
div.line {
	font-family: monospace, fixed;
    font-size: 13px;
	min-height: 13px;
	line-height: 1.5;
	text-wrap: unrestricted;
	white-space: -moz-pre-wrap; /* Moz */
	white-space: -pre-wrap;     /* Opera 4-6 */
	white-space: -o-pre-wrap;   /* Opera 7 */
	white-space: pre-wrap;      /* CSS3  */
	word-wrap: break-word;      /* IE 5.5+ */
	text-indent: -53px;
	padding-left: 53px;
	padding-bottom: 0px;
	margin: 0px 10px 0px 10px;
}

/* Style for first line in code blocks */
div.fragment div.line:nth-child(1) {
	padding-top: 10px;
}

/* Style for last line in code blocks */
div.fragment div.line:last-child {
	padding-bottom: 10px;
}

/* Style for code blocks in drop down text */
details > div.fragment {
	margin-bottom: 17px;
	margin-left: 30px;
}

/* Style for info boxes in markdown files*/
div.markdown_box {
	border: 2px solid #23a0e9;
	background-color: #d5e9f5;
	padding: 10px 15px 10px 15px;
	margin: 15px 1px 10px 1px;
	border-radius: 2px;
	line-height: 25px;
}

span.lineno {
	padding-right: 4px;
	text-align: right;
	border-right: 2px solid #0F0;
	background-color: #E8E8E8;
        white-space: pre;
}
span.lineno a {
	background-color: #D8D8D8;
}

span.lineno a:hover {
	background-color: #C8C8C8;
}

div.ah {
	background-color: black;
	font-weight: bold;
	color: #ffffff;
	margin-bottom: 3px;
	margin-top: 3px;
	padding: 0.2em;
	border: solid thin #333;
	border-radius: 0.5em;
	-webkit-border-radius: .5em;
	-moz-border-radius: .5em;
	box-shadow: 2px 2px 3px #999;
	-webkit-box-shadow: 2px 2px 3px #999;
	-moz-box-shadow: rgba(0, 0, 0, 0.15) 2px 2px 2px;
	background-image: -webkit-gradient(linear, left top, left bottom, from(#eee), to(#000),color-stop(0.3, #444));
	background-image: -moz-linear-gradient(center top, #eee 0%, #444 40%, #000);
}

div.groupHeader {
	/*margin-left: 16px;
	margin-top: 12px;*/
	margin-left: 0px;
	margin-top: 25px;
	margin-bottom: 4px;
	font-weight: bold;
}

div.groupText {
	/*margin-left: 16px;*/
	margin-left: 0px;
	font-style: italic;
}

/* Style for drop down menus in markdown files */

summary {
	line-height: 25px;
	font-weight: bold;
	font-size: 0.9rem;
	color: #23a0e9;
}

summary:hover {
	cursor: pointer;
}

summary::marker {
	color: #23a0e9;
}


details > * {
	margin-left: 30px;
}

details > summary {
	margin-left: 0px;
}

/* Style for content in doc-content */

div.contents {
	margin-top: 10px;
	margin-left: 25px;
	margin-right: 0px;
	font-size: 0.9rem;
}

/* Lists in contents area */
.contents ul li {
	line-height: 25px;
}

div.contents ul li ul li {
	line-height: 25px;
}

/* Code styles in contents area */
div.contents code {
	font-size: 0.9rem;
	line-height: 25px;
}

div.contents .textblock p {
	line-height: 25px;
}


td.indexkey {
	background-color: #EBEFF6;
	border: 1px solid #C4CFE5;
	font-weight: bold;
	margin: 2px 0px 2px 0;
	padding: 2px 10px;
    vertical-align: top;
	white-space: nowrap;
}

td.indexvalue {
	background-color: #EBEFF6;
	border: 1px solid #C4CFE5;
	margin: 2px 0px;
	padding: 2px 10px;
}

tr.memlist {
	background-color: #EEF1F7;
}

p.formulaDsp {
	text-align: center;
}

img {
	max-width: 100%;
}

img.formulaDsp {

}

img.formulaInl {
	vertical-align: middle;
}

.contents .textblock img.inline {
	display: block;
	margin-left: auto;
	margin-right: auto;
	width: 50%;
	max-width: 600px;
}

div.center {
	text-align: center;
        margin-top: 0px;
        margin-bottom: 0px;
        padding: 0px;
}

div.center img {
	border: 0px;
}

address.footer {
	text-align: right;
	padding-right: 12px;
}


/* @group Code Colorization */

span.keyword {
	color: #008000
}

span.keywordtype {
	color: #604020
}

span.keywordflow {
	color: #e08000
}

span.comment {
	color: #800000
}

span.preprocessor {
	color: #806020
}

span.stringliteral {
	color: #002080
}

span.charliteral {
	color: #008080
}

span.vhdldigit {
	color: #ff00ff
}

span.vhdlchar {
	color: #000000
}

span.vhdlkeyword {
	color: #700070
}

span.vhdllogic {
	color: #ff0000
}

blockquote {
        background-color: #F7F8FB;
        border-left: 2px solid #9CAFD4;
        margin: 0 24px 0 4px;
        padding: 0 12px 0 16px;
}

/* @end */

/*
.search {
	color: #003399;
	font-weight: bold;
}

form.search {
	margin-bottom: 0px;
	margin-top: 0px;
}

input.search {
	font-size: 75%;
	color: #000080;
	font-weight: normal;
	background-color: #e8eef2;
}
*/

td.tiny {
	font-size: 75%;
}

.dirtab {
	padding: 4px;
	border-collapse: collapse;
	border: 1px solid #A3B4D7;
}

th.dirtab {
	background: #EBEFF6;
	font-weight: bold;
}

hr {
	height: 0px;
	border: none;
	border-top: 1px solid #ccc;
	padding-top: 10px;
}


/* Style for footer */

hr.footer {
	border-top: 1px solid #cccccc;
	margin-top: 0px;
	padding-top: 0px;
}

table.footer {
	width: inherit;
}

table.footer td {
	font-size: 0.7rem;
	padding-top: 0px;
	padding-bottom: 7px;
}

.footerRight {
	float: right;
	padding-right: 20px;
	padding-left: 0px;
}

.footerLeft {
	padding-right: 0px;
	padding-left: 20px;
}

/* First two td elements in footer table -> footer images */
table.footer:nth-child(-n+2) {
	padding-top: 10px;
	padding-bottom: 5px;
}



/* @group Member Descriptions */

table.memberdecls {
	border-spacing: 0px;
	padding: 0px;
	line-height: 1.5rem;
}

table.memberdecls .memItemLeft {
	padding-top: 8px;
	padding-bottom: 8px;
	text-align: right;
	border-left: 1px solid #cccccc;
}

table.memberdecls .memItemRight {
	padding-top: 8px;
	padding-bottom: 8px;
	width: 100%;
	border-right: 1px solid #cccccc;
}

/*.memberdecls td {
	-webkit-transition-property: background-color, box-shadow;
	-webkit-transition-duration: 0.5s;
	-moz-transition-property: background-color, box-shadow;
	-moz-transition-duration: 0.5s;
	-ms-transition-property: background-color, box-shadow;
	-ms-transition-duration: 0.5s;
	-o-transition-property: background-color, box-shadow;
	-o-transition-duration: 0.5s;
	transition-property: background-color, box-shadow;
	transition-duration: 0.5s;
}*/

/*.memberdecls td.glow {
	background-color: cyan;
	box-shadow: 0 0 15px cyan;
}*/

.mdescLeft, .mdescRight,
.memItemLeft, .memItemRight,
.memTemplItemLeft, .memTemplItemRight, .memTemplParams {
	background-color: #eeeeee;
	border: none;
	margin: 4px;
	padding: 1px 0 0 8px;
	color: #000;
}

.mdescLeft, .mdescRight {
	padding: 8px 8px 8px 8px;
	background-color: #ffffff;
}

.memItemLeft, .memItemRight, .memTemplParams {
	border-top: 1px solid #cccccc;
	border-style: collapse;
}

.memItemLeft, .memTemplItemLeft {
    white-space: nowrap;
}

.mdescLeft {
	border-left: 1px solid #cccccc;
}

.mdescRight {
	border-right: 1px solid #cccccc;
}

.memTemplParams {
	color: #4665A2;
    white-space: nowrap;
}

.memSeparator {
	line-height: 4px;
	background-color: #ffffff;
	border-top: 1px solid #cccccc;
	border-bottom: none;
}

/* @end */


/* @group Member Details */

/* Styles for detailed member documentation */

.memtitle {
	display: none;
}

.memtemplate {
	font-size: 80%;
	color: #4665A2;
	font-weight: normal;
	margin-left: 9px;
}

.memnav {
	background-color: #EBEFF6;
	border: 1px solid #A3B4D7;
	text-align: center;
	margin: 2px;
	margin-right: 15px;
	padding: 2px;
}

.mempage {
	width: 100%;
}

.memitem {
	padding: 0;
	margin-bottom: 20px;
	margin-right: 5px;
}

.memitem.glow {
         box-shadow: 0 0 15px cyan;
}

.memname {
        font-weight: bold;
        margin-left: 6px;
		box-shadow: none;
}

.memname td {
	vertical-align: bottom;
}

/* Function Documentation -> name */
.memproto, dl.reflist dt {
		border-top: 1px solid #062d64;
        border-left: 1px solid #062d64;
        border-right: 1px solid #062d64;
		border-bottom: 2px solid #062d64;
        padding: 6px 0px 6px 0px;
		color: #062d64;
        font-weight: bold;
		background-color: #dae7f7;
		box-shadow: none;
		border-radius: 0px;
}

.memdoc, dl.reflist dd {
        border-bottom: 1px solid #cccccc;
        border-left: 1px solid #cccccc;
        border-right: 1px solid #cccccc;
		border-bottom: 1px solid #062d64;
        border-left: 1px solid #062d64;
        border-right: 1px solid #062d64;
        padding: 6px 10px 2px 10px;
        background-color: #ffffff;
        border-top-width: 0;
        background-color: #FFFFFF;
		border-radius: 0px;
		box-shadow: none;
}

.memdoc {
	padding: 0px;
}


div.memitem .memdoc p {
	padding: 5px 10px 5px 10px;
	margin-top: 0px;
	margin-bottom: 0px;
	/*background-color: #eeeeee;	*/
	line-height: 1.5rem;
	background-color: #ffffff;
}

div.memitem .memdoc p:nth-child(1) {
	background-color: #eeeeee;
}

div.memitem .memdoc ul {
	background-color: #fff;
	margin-top: 0px;
}



dl.reflist dt {
        padding: 5px;
}

dl.reflist dd {
        margin: 0px 0px 10px 0px;
        padding: 5px;
}

.paramkey {
	text-align: right;
}

.paramtype {
	white-space: nowrap;
}

.paramname {
	color: #b52770;
	white-space: nowrap;
}
.paramname em {
	font-style: normal;
}

.params, .retval, .exception, .tparams {
    margin-left: 0px;
    padding-left: 0px;
}

.params .paramname, .retval .paramname {
    font-weight: bold;
    vertical-align: top;
	padding-right: 10px;
}

.params .paramtype {
    font-style: italic;
    vertical-align: top;
}

.params .paramdir {
    font-family: "courier new",courier,monospace;
    vertical-align: top;
}

dl.params dt, dl.section dt {
	color: #062d64;
	padding-bottom: 8px;
	padding-left: 10px;
}

/*dl.params dt {
	border-top: 1px solid #062d64;
	padding-top: 10px;
}*/

table.params tr {
	line-height: 1.3rem;
}

table.mlabels {
	border-spacing: 0px;
}

td.mlabels-left {
	width: 100%;
	padding: 0px;
}

td.mlabels-right {
	vertical-align: bottom;
	padding: 0px;
	white-space: nowrap;
}

span.mlabels {
        margin-left: 8px;
}

span.mlabel {
        background-color: #728DC1;
        border-top:1px solid #5373B4;
        border-left:1px solid #5373B4;
        border-right:1px solid #C4CFE5;
        border-bottom:1px solid #C4CFE5;
	text-shadow: none;
        color: white;
        margin-right: 4px;
        padding: 2px 3px;
        border-radius: 3px;
        font-size: 7pt;
	white-space: nowrap;
}
/* @end */



/* these are for tree view when not used as main index */

div.directory {
        margin: 10px 0px;
        width: 100%;
}

.directory table {
    border-collapse: collapse;
	font-size: 0.9rem;
}

.directory tr {
	border-bottom: 4px solid #fff;
	background-color: #eeeeee;
}

.directory tr.even {
	background-color: #f6f6f6;
}

.directory table tr:first-child td {
	border-top: 2px solid #cccccc;
}

.directory table tr:last-child {
	border-bottom: 2px solid #cccccc;
}

.directory td {
    margin: 0px;
    padding: 4px 10px 2px 0px;
	vertical-align: top;
	line-height: 1.5rem;
}

.directory td.entry {
    white-space: nowrap;
    padding-right: 10px;
}

.directory td.entry a {
    outline:none;
}

.directory td.entry .icona {
    margin-right: 10px;
	color: #191970;
	font-weight: bold;
	padding: 2px 5px 2px 5px;
	border-radius: 2px;
}

.directory td.entry .icona .icon {
	height: 23px;
	width: 20px;
}

.directory td.desc {
    width: 100%;
    padding-left: 10px;
}

.directory td.desc br {
	display: none;
}

.directory img {
	vertical-align: -30%;
}

/* File icon in "File List" */
.directory .icondoc {
	display: none;
}

.directory .levels {
        white-space: nowrap;
        width: 100%;
        text-align: right;
        font-size: 9pt;
}

.directory .levels span {
        cursor: pointer;
        padding-left: 2px;
        padding-right: 2px;
	color: #3D578C;
}

div.dynheader {
        margin-top: 8px;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

address {
	font-style: normal;
	color: #2A3D61;
}

/* Tables generated by doxygen */

table.doxtable {
	border-collapse:collapse;
    margin-top: 4px;
    margin-bottom: 4px;
	line-height: 1.5rem;
}

table.doxtable td, table.doxtable th {
	border-right: 2px solid #fff;
	border-bottom: 2px solid #fff;
	border-left: none;
	border-top: none;
	padding: 4px 7px 4px 9px;
	text-align: left;
	background-color: #ddeeff;
	vertical-align: top;
}

table.doxtable th {
	background-color: #23a0e8;
	color: #FFFFFF;
	vertical-align: middle;
	font-weight: bold;
	font-size: 0.9rem;
}

/* Table style for parameter tables in markdown files */

table.doxtable_markdown {
	border-collapse: collapse;
    margin-top: 4px;
    margin-bottom: 4px;
	line-height: 1.5rem;
	border: 1px solid #062d64;
	width: 100%;
}

table.doxtable_markdown th {
	background-color: #dae7f7;
	color: #062d64;
	vertical-align: middle;
	font-weight: bold;
	font-size: 0.9rem;
	text-align: left;
	padding: 4px 7px 4px 9px;
	border-bottom: 2px solid #062d64;
}

table.doxtable_markdown td {
	padding: 4px 7px 4px 9px;
	text-align: left;
	background-color: #fff;
	vertical-align: top;
	font-family: Aria, Helvetica, sans-serif;
}

table.doxtable_markdown td.first {
	background-color: #eee;
	font-family: Consolas;
	font-weight: bold;
}


table.fieldtable {
	margin-left: 3px;
	margin-bottom: 10px;
    border: none;
    border-spacing: 0px;
    border-radius: 0px;
	box-shadow: none;
}

.fieldtable td, .fieldtable th {
    padding: 0px 7px 2px;
	line-height: 25px;
}


.fieldtable td.fieldtype, .fieldtable td.fieldname {
    white-space: nowrap;
    border-right: none;
    border-bottom: none;
    vertical-align: top;
}

.fieldtable td.fielddoc {
    border-bottom: none;
    width: 100%;
	padding-top: 0px;
}

.fieldtable tr:last-child td {
    border-bottom: none;
}

.fieldtable th {
    background-color: #fff;
    padding-bottom: 4px;
    padding-top: 5px;
    text-align:left;
    border-bottom: none;
	background-image: none;
	background-repeat: no-repeat;
	color: #062d64;
	font-weight: bold;
	font-size: 0.9rem;
}

div.memitem .memdoc .fieldtable .fielddoc p:nth-child(1) {
	background-color: #fff;
}

.tabsearch {
	top: 0px;
	left: 10px;
	height: 36px;
	background-image: url('tab_b.png');
	z-index: 101;
	overflow: hidden;
	font-size: 13px;
}

.navpath ul
{
	font-size: 11px;
	background-image:none;
	height:30px;
	line-height:30px;
	color:#ffffff;
	border:solid 1px #dfdfdf;
	overflow:hidden;
	margin:0px;
	padding:0px;
}

.navpath li
{
	list-style-type:none;
	padding-left:10px;
	padding-right:15px;
	background-image: none;
	background-repeat:no-repeat;
	background-position:right;
	color:#364D7C;

}

.navpath li.navelem a
{
	height:32px;
	display:block;
	text-decoration: none;
	outline: none;
}

.navpath li.navelem a:hover
{
	color:#6884BD;
}

.navpath li.footer
{
        list-style-type:none;
        float:right;
        padding-left:10px;
        padding-right:15px;
        background-image:none;
        background-repeat:no-repeat;
        background-position:right;
        color:#364D7C;
        font-size: 8pt;
}


div.summary
{
	float: right;
	font-size: 8pt;
	padding-right: 5px;
	width: 20%;
	text-align: right;
	margin-top: 20px;
}

div.summary a
{
	white-space: nowrap;
}

div.ingroups
{
	margin-left: 5px;
	font-size: 8pt;
	padding-left: 5px;
	width: 50%;
	text-align: left;
}

div.ingroups a
{
	white-space: nowrap;
}

div.header
{
	background-color: #ffffff;
	margin:  0px 0px 20px 25px;
	border-bottom: 1px solid #cccccc;
	padding-bottom: 2px;
	padding-top: 49px;
	background-image: none;

}

div.headertitle
{
	padding: 0;
}

dl
{
        padding: 0 0 0 10px;
}

/* dl.note, dl.warning, dl.attention, dl.pre, dl.post, dl.invariant, dl.deprecated, dl.todo, dl.test, dl.bug */
dl.section
{
	margin-left: 0px;
	padding-left: 0px;
}

dl.note
{
        margin-left:-7px;
        padding-left: 3px;
        border-left:4px solid;
        border-color: #D0C000;
}

dl.warning, dl.attention
{
        margin-left:-7px;
        padding-left: 3px;
        border-left:4px solid;
        border-color: #FF0000;
}

dl.pre, dl.post, dl.invariant
{
        margin-left:-7px;
        padding-left: 3px;
        border-left:4px solid;
        border-color: #00D000;
}

dl.deprecated
{
        margin-left:-7px;
        padding-left: 3px;
        border-left:4px solid;
        border-color: #505050;
}

dl.todo
{
        margin-left:-7px;
        padding-left: 3px;
        border-left:4px solid;
        border-color: #00C0E0;
}

dl.test
{
        margin-left:-7px;
        padding-left: 3px;
        border-left:4px solid;
        border-color: #3030E0;
}

dl.bug
{
        margin-left:-7px;
        padding-left: 3px;
        border-left:4px solid;
        border-color: #C08050;
}

dl.section dd {
	margin-bottom: 6px;
}


#projectlogo
{
	text-align: center;
	vertical-align: bottom;
	border-collapse: separate;
}

#projectlogo img
{
	border: 0px none;
}

#projectname
{
	font-size: 1.6rem;
	font-family:	Arial, Helvetica, sans-serif;
	color: #062d64;
	font-weight: bold;
	margin: 0px;
	padding: 2px 0px;
}

#projectbrief
{
	font-size: 0.9rem;
	font-family: Arial, Helvetica, sans-serif;
	margin: 0px;
	padding: 0px;
	color: #062d64;
	font-weight: bold;
}

#projectnumber
{
	font-size: 50%;
	font-family: Arial, Helvetica, sans-serif;
	margin: 0px;
	padding: 0px;
	color: #062d64;
	font-weight: bold;
}

#titlearea
{
	padding: 0px;
	margin: 0px;
	width: 100%;
	border-bottom: none;
}

.image
{
        text-align: center;
}

.dotgraph
{
        text-align: center;
}

.mscgraph
{
        text-align: center;
}

.caption
{
	font-weight: bold;
}

div.zoom
{
	border: 1px solid #90A5CE;
}

dl.citelist {
        margin-bottom:50px;
}

dl.citelist dt {
        color:#334975;
        float:left;
        font-weight:bold;
        margin-right:10px;
        padding:5px;
}

dl.citelist dd {
        margin:2px 0;
        padding:5px 0;
}

/* TOC in contents area */
div.toc {
        padding: 14px 25px;
        background-color: #F4F6FA;
        border: 1px solid #D8DFEE;
        border-radius: 7px 7px 7px 7px;
        float: right;
        height: auto;
        margin: 0 20px 10px 10px;
        width: 300px;
		font-size: 20px;
		display: none;
}

div.toc li {
        background: url("bdwn.png") no-repeat scroll 0 5px transparent;
        font: 10px/1.2 Verdana,DejaVu Sans,Geneva,sans-serif;
        margin-top: 5px;
        padding-left: 10px;
        padding-top: 2px;
}

div.toc h3 {
        font: bold 12px/1.2 Arial,FreeSans,sans-serif;
		color: #4665A2;
        border-bottom: 0 none;
        margin: 0;
}

div.toc ul {
        list-style: none outside none;
        border: medium none;
        padding: 0px;
}

div.toc li.level1 {
        margin-left: 0px;
}

div.toc li.level2 {
        margin-left: 15px;
}

div.toc li.level3 {
        margin-left: 30px;
}

div.toc li.level4 {
        margin-left: 45px;
}

.inherit_header {
        font-weight: bold;
        color: gray;
        cursor: pointer;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.inherit_header td {
        padding: 6px 0px 2px 5px;
}

.inherit {
        display: none;
}

@media only screen and (min-width: 751px)
{
	/* Search bar in titlearea*/
	#MSearchBox {
		width: 385px;
	}
	/* Side navigation */
	#side-nav {
		width: 400px
	}

	.ui-resizable-e {
		border-right: none;
	}

}

@media only screen and (max-width: 750px) and (min-width: 551px)
{
	/* Search bar in titlearea*/
	#MSearchBox {
		width: 300px;
	}
	/* Navigation panel handle bar */
	.ui-resizable-e {
		border-right: 2px solid #ccc;
	}
}

@media only screen and (max-width: 550px)
{
	/* Search bar in titlearea*/
	#MSearchBox {
		width: 250px;
	}
	/* Navigation panel handle bar */
	.ui-resizable-e {
		border-right: 2px solid #ccc;
	}
}


@media print
{
  #top { display: none; }
  #side-nav { display: none; }
  #nav-path { display: none; }
  body { overflow:visible; }
  h1, h2, h3, h4, h5, h6 { page-break-after: avoid; }
  .summary { display: none; }
  .memitem { page-break-inside: avoid; }
  #doc-content
  {
    margin-left:0 !important;
    height:auto !important;
    width:auto !important;
    overflow:inherit;
    display:inline;
  }
}
